Page MenuHomePhabricator

run-tests: extract onStart and onEnd into the test result
ClosedPublic

Authored by lothiraldan on Jun 7 2018, 3:19 PM.

Details

Summary

It would allow custom test result to display custom messages.

Diff Detail

Repository
rHG Mercurial
Lint
Lint Skipped
Unit
Unit Tests Skipped

Event Timeline

lothiraldan created this revision.Jun 7 2018, 3:19 PM
lothiraldan updated this revision to Diff 9032.Jun 12 2018, 5:05 PM
durin42 added a subscriber: durin42.Jul 3 2018, 2:00 PM
durin42 added inline comments.
tests/run-tests.py
1717

omit superfluous pass

lothiraldan updated this revision to Diff 9417.Jul 3 2018, 2:28 PM
lothiraldan marked an inline comment as done.Jul 3 2018, 2:28 PM
durin42 accepted this revision as: durin42.Jul 9 2018, 10:23 AM
durin42 accepted this revision.Jul 9 2018, 10:44 AM
This revision is now accepted and ready to land.Jul 9 2018, 10:44 AM
This revision was automatically updated to reflect the committed changes.